# -*- coding: utf-8 -*-
from ppms.migration import SQLPacket, PacketCategory, MinVersionDependency, MaxVersionDependency, VersionType


class FixReportColumnLengths(SQLPacket):
    """Fixes the DB length of DI008876 and DI029636"""
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 15374

    sql_script = 'WI15374_fix_report_column_lengths.sql'

    def get_dependencies(self):
        return (MinVersionDependency(version='39.5.6', version_type=VersionType.CUSTOMIZING),
                MaxVersionDependency(version='39.5.6', version_type=VersionType.CUSTOMIZING))

    def fix(self, packet_runner):
        self.apply_dml_file(self.sql_planta_de_dbms, self.sql_script)

        return self.success()